## calligra 25.04.2+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "04")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

string(TIMESTAMP CALLIGRA_YEAR "%Y")
add_compile_options("-DCALLIGRA_YEAR=${CALLIGRA_YEAR}")

project(calligra VERSION ${RELEASE_SERVICE_VERSION})

if (POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

set(REQUIRED_KF6_VERSION "6.0.0")
set(REQUIRED_QT_VERSION "6.5.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(ECM ${REQUIRED_KF6_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

# ECM KDE macros (include first, to have their policies and settings effect all other macros)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
set(KDE_COMPILERSETTINGS_LEVEL 5.84.0) # set before including
include(KDECompilerSettings NO_POLICY_SCOPE)
# CMake macros
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)
include(CheckTypeSize)
include(CheckIncludeFile)
include(GenerateExportHeader)
include(FeatureSummary)
# ECM macros
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(KDEClangFormat)
include(KDEGitCommitHooks)
# own macros
include(MacroBoolTo01)
include(MacroOptionalFindPackage)
include(MacroEnsureVersion)

math(EXPR GENERIC_CALLIGRA_LIB_VERSION_MAJOR "${RELEASE_SERVICE_VERSION_MAJOR} + 15")

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX CALLIGRA
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/calligra-version.h
    SOVERSION ${GENERIC_CALLIGRA_LIB_VERSION_MAJOR}
)

############
#############
## Options ##
#############
############

option(PACKAGERS_BUILD "Build support of multiple CPU architectures in one binary. Should be used by packagers only." ON)

#######################
########################
## Productset setting ##
########################
#######################

# For predefined productsets see the definitions in CalligraProducts.cmake and
# in the files in the folder cmake/productsets.

# Finding out the products & features to build is done in 5 steps:
# 1. have the user define the products/features wanted, by giving a productset
# 2. estimate all additional required products/features
# 3. estimate which of the products/features can be build by external deps
# 4. find which products/features have been temporarily disabled due to problems
# 5. estimate which of the products/features can be build by internal deps

# get the special macros
include(CalligraProductSetMacros)

# get the definitions of products, features and product sets
include(CalligraProducts.cmake)

set(PRODUCTSET_DEFAULT "ALL")

if(NOT PRODUCTSET)
    set(PRODUCTSET ${PRODUCTSET_DEFAULT} CACHE STRING "Set of products/features to build" FORCE)
endif()

if (RELEASE_BUILD)
    set(CALLIGRA_SHOULD_BUILD_STAGING TRUE)
    set(CALLIGRA_SHOULD_BUILD_GEMINI FALSE)
    set(CALLIGRA_SHOULD_BUILD_BRAINDUMP FALSE)
    if(BUILD_UNMAINTAINED)
        set(CALLIGRA_SHOULD_BUILD_UNMAINTAINED TRUE)
    else()
        set(CALLIGRA_SHOULD_BUILD_UNMAINTAINED FALSE)
    endif()
else ()
    set(CALLIGRA_SHOULD_BUILD_STAGING TRUE)
    set(CALLIGRA_SHOULD_BUILD_UNMAINTAINED TRUE)
    set(CALLIGRA_SHOULD_BUILD_GEMINI TRUE)
    set(CALLIGRA_SHOULD_BUILD_BRAINDUMP TRUE)
endif ()

# finally choose products/features to build
calligra_set_productset(${PRODUCTSET})

##########################
###########################
## Look for ECM, Qt, KF6 ##
###########################
##########################

find_package(KF6 ${REQUIRED_KF6_VERSION} REQUIRED
    COMPONENTS
    Archive
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    GuiAddons
    I18n
    IconThemes
    ItemViews
    JobWidgets
    KCMUtils
    KIO
    Notifications
    NotifyConfig
    Sonnet
    TextWidgets
    WidgetsAddons
    WindowSystem
    XmlGui
)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED
    COMPONENTS
    Core
    Gui
    Network
    PrintSupport
    Svg
    Test
    Widgets
    Xml
    Quick
    QuickControls2
)
find_package(Qt6 ${REQUIRED_QT_VERSION} QUIET
    COMPONENTS
    OpenGL
    QuickWidgets
    Sql
    WebEngineWidgets
)

qt_policy(SET QTP0001 NEW)


find_package(OpenSSL)
set_package_properties(OpenSSL PROPERTIES
    TYPE REQUIRED
    PURPOSE "Encrypted communications"
)

set_package_properties(Qt6QuickWidgets PROPERTIES
    PURPOSE "Required for Calligra Gemini"
    TYPE RECOMMENDED
    )
set_package_properties(Qt6Sql PROPERTIES
    PURPOSE "Optional for Sheets' database connection"
    TYPE OPTIONAL
    )
set_package_properties(Qt6WebEngine PROPERTIES
    PURPOSE "Required for Braindump's Web shape"
    TYPE OPTIONAL
)

set(HAVE_OPENGL ${Qt6OpenGL_FOUND})

# use sane compile flags
remove_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
add_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_STRICT_ITERATORS
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053000
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050600
    )

if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT CALLIGRA_FLATPAK)
    add_definitions(-DWITH_QTDBUS)
    find_package(Qt6 ${REQUIRED_KF6_VERSION} REQUIRED
        COMPONENTS
        DBus
    )
    find_package(KF6 ${REQUIRED_KF6_VERSION} REQUIRED
        COMPONENTS
        DBusAddons
    )
endif()

# only with this definition will all the FOO_TEST_EXPORT macro do something
# TODO: check if this can be moved to only those places which make use of it,
# to reduce global compiler definitions that would trigger a recompile of
# everything on a change (like adding/removing tests to/from the build)
if(BUILD_TESTING)
    add_definitions(-DCOMPILING_TESTS)
endif()

# overcome some platform incompatibilities
if(WIN32)
    if(NOT MINGW)
	include_directories(${CMAKE_CURRENT_SOURCE_DIR}/winquirks)
	add_definitions(-D_USE_MATH_DEFINES)
	add_definitions(-DNOMINMAX)
    endif()
    set(WIN32_PLATFORM_NET_LIBS ws2_32.lib netapi32.lib)
endif()

###########################
############################
## Required dependencies  ##
############################
###########################

find_package(Perl REQUIRED)
find_package(ZLIB REQUIRED)

find_package(Qt6Keychain)
set_package_properties(Qt6Keychain PROPERTIES
    TYPE REQUIRED
    PURPOSE "Secure storage of account secrets"
)

add_definitions(-DBOOST_ALL_NO_LIB)
find_package(Boost REQUIRED) # for pigment and stage
if (NOT Boost_FOUND)
    message(FATAL_ERROR "Did not find Boost. Boost is required for the core libraries, stage, sheets.")
endif ()

###########################
############################
## Optional dependencies  ##
############################
###########################


##
## Check for OpenEXR
##

macro_optional_find_package(Imath 3.0 CONFIG QUIET)
if(TARGET Imath::Imath)
    set(OPENEXR_LIBRARIES Imath::Imath)
    set(OpenEXR_FOUND TRUE)
else()
    macro_optional_find_package(OpenEXR)
endif()
macro_bool_to_01(OpenEXR_FOUND HAVE_OPENEXR)

##
## Test for GNU Scientific Library
##
macro_optional_find_package(GSL 1.7)
set_package_properties(GSL_FOUND PROPERTIES
    DESCRIPTION "GNU Scientific Library"
    URL "https://www.gnu.org/software/gsl"
    PURPOSE "Required by Sheets' solver plugin"
    TYPE OPTIONAL
    )
macro_bool_to_01(GSL_FOUND HAVE_GSL)
configure_file(config-gsl.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gsl.h )

##
## Test for Phonon4Qt6
##
find_package(Phonon4Qt6 QUIET)
set_package_properties(Phonon4Qt6 PROPERTIES
    DESCRIPTION "Abstraction lib for multimedia applications"
    URL "https://www.kde.org/"
    PURPOSE "Required by Stage event actions and Videoshape plugin"
    TYPE OPTIONAL
    )

## PIM libraries detection disabled until semanticitems plugin is ported to Qt6
##
## Test for KF6CalendarCore
##
# find_package(KF6CalendarCore CONFIG QUIET)
# set_package_properties(KF6CalendarCore PROPERTIES
#     DESCRIPTION "KDE Calendar Library"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic item Event"
#     TYPE OPTIONAL
#     )
# 
##
## Test for KF6Contacts
##
# find_package(KF6Contacts CONFIG QUIET)
# set_package_properties(KF6Contacts PROPERTIES
#     DESCRIPTION "KDE Address book Library"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic item Contact"
#     TYPE OPTIONAL
#     )
# 
##
## Test for KPim6AkonadiCore
##
# find_package(KPim6Akonadi CONFIG QUIET)
# set_package_properties(KFPimAkonadi PROPERTIES
#     DESCRIPTION "Library for general Access to Akonadi"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic items Event and Contact"
#     TYPE OPTIONAL
#     )
# 
##
## Test for KChart
##
macro_optional_find_package(KChart6 3.0.0 QUIET)
set_package_properties(KChart6 PROPERTIES
    DESCRIPTION "Library for creating business charts (part of KDiagram)"
    URL "https://www.kde.org/"
    PURPOSE "Required by Chart shape"
    TYPE RECOMMENDED
)

##
## Test for eigen3
##
macro_optional_find_package(Eigen3)
set_package_properties(Eigen3 PROPERTIES
    DESCRIPTION "C++ template library for linear algebra"
    URL "http://eigen.tuxfamily.org"
    PURPOSE "Required by Calligra Sheets"
    TYPE RECOMMENDED
    )

##
## Test for QCA2
##
macro_optional_find_package(Qca-qt6 2.1.0 QUIET)
set_package_properties(Qca-qt6 PROPERTIES
    DESCRIPTION "Qt Cryptographic Architecture"
    URL "http:/download.kde.org/stable/qca-qt6"
    PURPOSE "Required for encrypted OpenDocument files and encrypted xls files support (available as a module in kdesupport)"
    TYPE OPTIONAL
    )

##
## Test for soprano
##
# QT5TODO: push for released (and maintained) Qt6 version of Soprano, T462, T461
# macro_optional_find_package(Soprano)
set(Soprano_FOUND FALSE)
set_package_properties(Soprano PROPERTIES
    DESCRIPTION "RDF handling library"
    URL "http://soprano.sourceforge.net/"
    PURPOSE "Required to handle RDF metadata in ODF"
    TYPE OPTIONAL
    )
if(NOT Soprano_FOUND)
    set(SOPRANO_INCLUDE_DIR "")
endif()

##
## Test for marble
##
# Temporary fix to avoid looking for Marble unnecessarily
# Its only used in RDF so until soprano is ported there is no use for Marble
if (Soprano_FOUND)
    macro_optional_find_package(Marble CONFIG)
    set(Marble_FOUND FALSE)
    set_package_properties(Marble PROPERTIES
        DESCRIPTION "World Globe Widget library"
        URL "https://marble.kde.org/"
        PURPOSE "Required by RDF to show locations on a map"
        TYPE OPTIONAL
    )
else()
    message(STATUS "Soprano not found. Skipped looking for Marble.")
endif()

##
## Test for lcms
##
macro_optional_find_package(LCMS2 2.4)
set_package_properties(LCMS2 PROPERTIES
    DESCRIPTION "LittleCMS, a color management engine"
    URL "http://www.littlecms.com"
    PURPOSE "Will be used for color management"
    TYPE OPTIONAL
    )
if(LCMS2_FOUND)
    set(HAVE_LCMS2 TRUE)
endif()

##
## Test for Vc
##

set(HAVE_VC FALSE)
if (BUILD_VC)
    # NOTE: This tampers with cmake variables (at least cmake_minimum_required), so may give build problems
    set(OLD_CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} )
    set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
    if( NOT MSVC)
	macro_optional_find_package(Vc 1.1.0)
	set_package_properties(Vc PROPERTIES
	    DESCRIPTION "Portable, zero-overhead SIMD library for C++"
	    URL "https://github.com/VcDevel/Vc"
	    PURPOSE "Required by the pigment for vectorization"
	    TYPE OPTIONAL
	    )
	macro_bool_to_01(Vc_FOUND HAVE_VC)
	macro_bool_to_01(PACKAGERS_BUILD DO_PACKAGERS_BUILD)
    endif()

=== filters/odg/CMakeLists.txt ===
add_subdirectory( visio )
add_subdirectory( wpg )

=== gemini/pics/CMakeLists.txt ===
ecm_install_icons( ICONS
    1024-apps-calligragemini.png
    128-apps-calligragemini.png
    16-apps-calligragemini.png
    22-apps-calligragemini.png
    256-apps-calligragemini.png
    32-apps-calligragemini.png
    48-apps-calligragemini.png
    512-apps-calligragemini.png
    64-apps-calligragemini.png
    sc-apps-calligragemini.svg

    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== karbon/ui/CMakeLists.txt ===
include_directories(
        ${KOPAGEAPP_INCLUDES}
        ${KOODF_INCLUDES}
        ${KOMAIN_INCLUDES}
        ${CMAKE_SOURCE_DIR}/karbon/
        ${CMAKE_SOURCE_DIR}/karbon/ui
        ${CMAKE_SOURCE_DIR}/karbon/ui/dialogs
        ${CMAKE_SOURCE_DIR}/karbon/ui/dockers
        ${CMAKE_SOURCE_DIR}/karbon/ui/widgets
        ${CMAKE_SOURCE_DIR}/karbon/ui/commands
)

set(karbonui_SRCS
    KarbonUiDebug.cpp
    KarbonFactory.cpp
    KarbonDocument.cpp
    KarbonPart.cpp
    KarbonView.cpp 
    ProxyView.cpp

    KarbonDocumentMergeCommand.cpp
    
    dialogs/KarbonConfigureDialog.cpp

    widgets/KarbonSmallStylePreview.cpp
    widgets/KarbonPaletteBarWidget.cpp
    widgets/KarbonPaletteWidget.cpp
    widgets/KarbonConfigInterfacePage.cpp
)

add_library( karbonui SHARED ${karbonui_SRCS} )
generate_export_header(karbonui BASE_NAME karbonui)

target_link_libraries(karbonui
    PUBLIC
        karboncommon
        flake
    PRIVATE
        kopageapp
        kowidgets
        koodf
        koplugin
        KF6::IconThemes
        KF6::GuiAddons
)

set_target_properties(karbonui PROPERTIES VERSION ${CALLIGRA_VERSION} SOVERSION ${CALLIGRA_SOVERSION} )

install(TARGETS karbonui  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/defaultTools/CMakeLists.txt ===
project( defaulttools )

add_definitions(-DTRANSLATION_DOMAIN=\"calligra-defaulttools\")

include_directories(
    ${TEXTLAYOUT_INCLUDES} # needed because ConnectionTool.cpp includes TextShape.h to get the id
    ${CMAKE_SOURCE_DIR}/libs/widgets
    ${FLAKE_INCLUDES}
    ${TEXTLAYOUT_INCLUDES}
)

add_subdirectory(pics)


########### Flake Plugin library ###############

set ( defaulttools_SRCS
    Plugin.cpp
    defaulttool/DefaultTool.cpp
    defaulttool/DefaultToolFactory.cpp
    defaulttool/DefaultToolWidget.cpp
    defaulttool/DefaultToolArrangeWidget.cpp
    defaulttool/DefaultToolTransformWidget.cpp
    defaulttool/ShapeMoveStrategy.cpp
    defaulttool/ShapeResizeStrategy.cpp
    defaulttool/ShapeRotateStrategy.cpp
    defaulttool/ShapeShearStrategy.cpp
    defaulttool/SelectionDecorator.cpp
    defaulttool/SelectionTransformCommand.cpp
    defaulttool/ChartResizeStrategy.cpp

    guidestool/GuidesTool.cpp
    guidestool/GuidesToolFactory.cpp
    guidestool/GuidesToolOptionWidget.cpp
    guidestool/InsertGuidesToolOptionWidget.cpp

    connectionTool/ConnectionTool.cpp
    connectionTool/ConnectionToolFactory.cpp
    connectionTool/AddConnectionPointCommand.cpp
    connectionTool/RemoveConnectionPointCommand.cpp
    connectionTool/ChangeConnectionPointCommand.cpp
    connectionTool/MoveConnectionPointStrategy.cpp
    connectionTool/ConnectionPointWidget.cpp
)

ki18n_wrap_ui(defaulttools_SRCS
    defaulttool/DefaultToolWidget.ui
    defaulttool/DefaultToolArrangeWidget.ui
    defaulttool/DefaultToolTransformWidget.ui
    guidestool/GuidesToolOptionWidget.ui
    guidestool/InsertGuidesToolOptionWidget.ui
    connectionTool/ConnectionPointWidget.ui
)

add_library(calligra_tool_defaults MODULE ${defaulttools_SRCS})
target_link_libraries(calligra_tool_defaults flake kowidgets)
install(TARGETS calligra_tool_defaults DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligra/tools)

=== words/pics/CMakeLists.txt ===
ecm_install_icons( ICONS
    16-apps-calligrawords.png
    22-apps-calligrawords.png
    32-apps-calligrawords.png
    48-apps-calligrawords.png
    64-apps-calligrawords.png
    128-apps-calligrawords.png
    256-apps-calligrawords.png
    512-apps-calligrawords.png
    1024-apps-calligrawords.png
    sc-apps-calligrawords.svgz

    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

ecm_install_icons( ICONS
    22-actions-tool_pagelayout.png

    DESTINATION ${KDE_INSTALL_DATADIR}/calligrawords/icons
    THEME hicolor
)

=== filters/karbon/wmf/CMakeLists.txt ===

include_directories( ${VECTORIMAGE_INCLUDES} )


if(SHOULD_BUILD_FILTER_WMF_TO_SVG)

set(wmf2svg_PART_SRCS
    WmfImportDebug.cpp
    WmfImport.cpp
    WmfImportParser.cpp
)

add_library(calligra_filter_wmf2svg MODULE ${wmf2svg_PART_SRCS})
target_link_libraries(calligra_filter_wmf2svg kovectorimage komain koodf)

install(TARGETS calligra_filter_wmf2svg DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligra/formatfilters)

endif()


if(SHOULD_BUILD_FILTER_KARBON_TO_WMF)

set(karbon2wmf_PART_SRCS WmfExport.cpp)

add_library(calligra_filter_karbon2wmf MODULE ${karbon2wmf_PART_SRCS})
target_link_libraries(calligra_filter_karbon2wmf  kovectorimage karboncommon karbonui kopageapp)

install(TARGETS calligra_filter_karbon2wmf DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligra/formatfilters)

endif()

=== filters/sheets/xlsx/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=30527)

include_directories(${KOMAIN_INCLUDES}
                    ${KOODF2_INCLUDES}           # For KoOdfChartWriter
                    ${CMAKE_SOURCE_DIR}/filters/libmso
                    ${CMAKE_SOURCE_DIR}/filters/libmsooxml
                    ${CMAKE_SOURCE_DIR}/sheets
)

########### next target ###############

set(xlsx2ods_PART_SRCS
    XlsxImport.cpp
    XlsxXmlCommonReader.cpp
    XlsxXmlDocumentReader.cpp
    XlsxXmlWorksheetReader.cpp
    XlsxXmlSharedStringsReader.cpp
    XlsxXmlStylesReader.cpp
    XlsxXmlDrawingReader.cpp
    XlsxXmlChartReader.cpp
    XlsxXmlCommentsReader.cpp
    XlsxXmlTableReader.cpp

    XlsxChartOdfWriter.cpp
    FormulaParser.cpp
)

add_library(calligra_filter_xlsx2ods MODULE ${xlsx2ods_PART_SRCS})

target_link_libraries(
    calligra_filter_xlsx2ods
    koodf2
    komsooxml
    mso
    koodf
    komain
    calligrasheetscore
)

install(TARGETS calligra_filter_xlsx2ods DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligra/formatfilters)

########## unit tests ###################

set(TestFormulaParser_SRCS
    FormulaParser.cpp
    TestFormulaParser.cpp
)

ecm_add_test( ${TestFormulaParser_SRCS}
    TEST_NAME "FormulaParser"
    NAME_PREFIX "filter-xlsx2ods-"
    LINK_LIBRARIES komsooxml calligrasheetsui Qt6::Test
)

=== filters/words/epub/CMakeLists.txt ===
include_directories(
    ${VECTORIMAGE_INCLUDES}
    ${KOMAIN_INCLUDES}
    ${FLAKE_INCLUDES}
)


if(SHOULD_BUILD_FILTER_ODT_TO_EPUB2)

set(odt2epub2_PART_SRCS
    EpubExportDebug.cpp
    exportepub2.cpp
    OdfParser.cpp
    OdtHtmlConverter.cpp

    EpubFile.cpp
    FileCollector.cpp
)

add_library(calligra_filter_odt2epub2 MODULE ${odt2epub2_PART_SRCS})
set_target_properties(calligra_filter_odt2epub2 PROPERTIES COMPILE_DEFINITIONS "DEBUG_EPUB=1")

target_link_libraries(calligra_filter_odt2epub2 kovectorimage komain Qt6::Svg)

install(TARGETS calligra_filter_odt2epub2  DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligra/formatfilters)

endif()


if(SHOULD_BUILD_FILTER_ODT_TO_HTML)

set(odt2html_PART_SRCS
    HtmlExportDebug.cpp
    exporthtml.cpp
    OdfParser.cpp
    OdtHtmlConverter.cpp

    HtmlFile.cpp
    FileCollector.cpp
)

add_library(calligra_filter_odt2html MODULE ${odt2html_PART_SRCS})
set_target_properties(calligra_filter_odt2html PROPERTIES COMPILE_DEFINITIONS "DEBUG_HTML=1")

target_link_libraries(calligra_filter_odt2html kovectorimage komain Qt6::Svg)

install(TARGETS calligra_filter_odt2html  DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligra/formatfilters)

endif()

=== libs/flake/pics/CMakeLists.txt ===
ecm_install_icons( ICONS
    16-actions-snap-bounding-box.png
    16-actions-snap-extension.png
    22-actions-format-convert-to-path.png
    22-actions-createpath.png
    22-actions-editpath.png
    22-actions-hand.png
    22-actions-format-break-node.png
    22-actions-format-disconnect-node.png
    22-actions-node-type-cusp.png
    22-actions-format-node-curve.png
    22-actions-format-insert-node.png
    22-actions-format-connect-node.png
    22-actions-format-node-line.png
    22-actions-format-join-node.png
    22-actions-format-remove-node.png
    22-actions-node-type-smooth.png
    22-actions-node-type-symmetric.png
    22-actions-format-segment-curve.png
    22-actions-format-segment-line.png
    22-actions-pathshape.png
    sc-actions-snap-bounding-box.svg
    sc-actions-snap-extension.svg
    DESTINATION ${KDE_INSTALL_DATADIR}/calligra/icons
    THEME hicolor
)

install( FILES
    zoom_in_cursor.png
    zoom_out_cursor.png
    DESTINATION ${KDE_INSTALL_DATADIR}/calligra/cursors
)

install( FILES
    questionmark.png
    DESTINATION ${KDE_INSTALL_DATADIR}/calligra/pics
)

=== plugins/defaultTools/pics/CMakeLists.txt ===
install( FILES
    cursor_shear.png
    cursor_rotate.png
    cursor_connect.png
    DESTINATION ${KDE_INSTALL_DATADIR}/calligra/cursors
)

ecm_install_icons( ICONS
    16-actions-escape-direction-all.png
    16-actions-escape-direction-down.png
    16-actions-escape-direction-horizontal.png
    16-actions-escape-direction-left.png
    16-actions-escape-direction-right.png
    16-actions-escape-direction-up.png
    16-actions-escape-direction-vertical.png
    DESTINATION ${KDE_INSTALL_DATADIR}/calligra/icons
    THEME hicolor
)

=== plugins/formulashape/fonts/CMakeLists.txt ===

install( FILES  cmex10.ttf Arev.ttf ArevIt.ttf ArevBd.ttf ArevBI.ttf  DESTINATION ${KDE_INSTALL_DATADIR}/calligra_shape_formula/fonts )

=== debian/changelog ===
calligra (1:25.04.2+dfsg-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current gear version of okular-dev.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Jun 2025 07:18:54 +0100

calligra (1:25.04.2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Translation fixes.
  * New upstream release (25.04.2).
    - Fix launcher icons for stage and sheets.
    - Odf::decodeFormula: fix crash with decimal in formulas.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 10 Jun 2025 00:03:16 +0200

calligra (1:25.04.2+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 10:33:29 +0100

=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libboost-dev,
               libeigen3-dev,
               libetonyek-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgsl-dev,
               libkchart-dev (>= 3.0.0~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6jobwidgets-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6notifyconfig-dev (>= 6.0.0~),
               libkf6sonnet-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               liblcms2-dev (>= 2.4),
               libodfgen-dev,
               libopenexr-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libpoppler-private-dev (>= 22.02.0~),
               libpoppler-qt6-dev (>= 22.02.0~) [!i386],
               libqca-qt6-dev (>= 2.1.0~),
               librevenge-dev,
               libssl-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               okular-dev (>= 4:25.04.2~),
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               pstoedit,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qtkeychain-qt6-dev,
               shared-mime-info,
               vc-dev (>= 1.1.0~) [any-amd64 any-i386 arm64 armel armhf],
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://www.calligra.org/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
Rules-Requires-Root: no

Package: calligra
Architecture: any
Depends: calligrasheets (= ${binary:Version}),
         calligrastage (= ${binary:Version}),
         calligrawords (= ${binary:Version}),
         karbon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: calligra-libs (<< 1:24.12.2+dfsg-2~),
Replaces: calligra-libs (<< 1:24.12.2+dfsg-2~),
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Homepage: https://www.calligra.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: calligrasheets
Architecture: any
Section: math
Depends: calligrasheets-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter,
Homepage: https://www.calligra.org/sheets/
Description: spreadsheet for the Calligra Suite
 Tables is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics. It is the successor of KSpread.
 .
 This package is part of the Calligra Suite.

Package: calligrasheets-data
Architecture: all
Section: math
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/sheets/
Description: data files for Sheets spreadsheet
 This package contains architecture-independent data files for Sheets,
 the spreadsheet shipped with the Calligra Suite.
 .
 See the calligrasheets package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrawords
Architecture: any
Section: text
Depends: calligrawords-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Homepage: https://www.calligra.org/words/
Description: word processor for the Calligra Suite
 Words is a FrameMaker-like word processing and desktop publishing
 application. It is capable of creating polished and professional
 looking documents. It can be used for desktop publishing, but also for
 "normal" word processing, like writing letters, reports and so on.
 .
 This package is part of the Calligra Suite.

Package: calligrawords-data
Architecture: all
Section: text
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/words/
Description: data files for Words word processor
 This package contains architecture-independent data files for Words,
 the word processor shipped with the Calligra Suite.
 .
 See the calligrawords package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrastage
Architecture: any
Depends: calligrastage-data (>=${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Homepage: https://www.calligra.org/stage/
Description: presentation program for the Calligra Suite
 Stage is an easy to use yet still flexible presentation application. You can
 easily create presentations containing a rich variety of elements, from
 graphics to text, from charts to images. Stage is extensible through a
 plugin system, so it is easy to add new effects, new content elements or even
 new ways of managing your presentation.
 .
 Stage natively uses the OpenDocument file format standard, for easy
 interchange with all ODF supporting applications, which includes Microsoft
 Office. Examples of its easy-to-use features are support for layouts, a
 special slide overview view during presentations for the presenter, support
 for many different master sliders in one presentation, cool transitions and
 a useful notes feature.
 .
 This package is part of the Calligra Suite.

Package: calligrastage-data
Architecture: all
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/stage/
Description: data files for Calligra Stage
 This package contains architecture-independent data files for Stage,
 the presentation program shipped with the Calligra Suite.
 .
 See the calligrastage package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligra-libs
Section: libs
Architecture: any
Depends: calligra-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lyx, libqca-qt6-plugins
Suggests: texlive, wordnet
Description: common libraries and binaries for the Calligra Suite
 This package provides the libraries and binaries that are shared amongst
 the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: calligra-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Suggests: khelpcenter
Description: common shared data for the Calligra Suite
 This package provides the architecture-independent data that is shared
 amongst the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: okular-backend-odp
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: okular
Enhances: okular
Description: Okular backend for ODP documents
 This package provides a backend for Okular to view OpenDocument Presentation
 (ODP) documents, but also PowerPoint and PPTX documents.
 .
 This package is part of the Calligra Suite.

Package: okular-backend-odt
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: okular
Enhances: okular
Description: Okular backend for ODT documents
 This package provides a backend for Okular to view OpenDocument Text
 (ODT) documents, but also DOC, DOCX, RTF and WPD documents.
 .
 This package is part of the Calligra Suite.

## calligra 25.04.3

=== braindump/data/icons/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        16-apps-braindump.png
        22-apps-braindump.png
        32-apps-braindump.png
        48-apps-braindump.png
        64-apps-braindump.png
        128-apps-braindump.png
        256-apps-braindump.png
        512-apps-braindump.png
        1024-apps-braindump.png
        sc-apps-braindump.svgz

    DESTINATION ${KDE_INSTALL_ICONDIR}
)

=== plugins/semanticitems/location/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"calligra_semanticitem_location\")

if(Marble_FOUND)
    add_definitions( -DCAN_USE_MARBLE )
endif()

include_directories(
    ${KORDF_INCLUDES}
)
set(calligra_semanticitem_location_LIB_SRCS
    KoLocationSemanticItemFactory.cpp
    KoLocationSemanticItemPlugin.cpp
    KoRdfLocation.cpp
    KoRdfLocationEditWidget.cpp
    KoRdfLocationTreeWidgetItem.cpp
)

if(Marble_FOUND)
    ki18n_wrap_ui( calligra_semanticitem_location_LIB_SRCS
        KoRdfLocationEditWidgetMarble.ui
        KoRdfLocationViewWidgetMarble.ui
    )
else()
    ki18n_wrap_ui( calligra_semanticitem_location_LIB_SRCS
        KoRdfLocationEditWidget.ui
        KoRdfLocationViewWidget.ui
    )
endif()

add_library(calligra_semanticitem_location MODULE ${calligra_semanticitem_location_LIB_SRCS})

if( Marble_FOUND )
    target_link_libraries(calligra_semanticitem_location Marble)
endif()

target_link_libraries(calligra_semanticitem_location   ${KORDF_LIBS} KF6::I18n KF6::KDELibs4Support)

install(TARGETS calligra_semanticitem_location  DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligra/semanticitems)

=== plugins/colorengines/lcms2/data/elles-icc-profiles/CMakeLists.txt ===
########### install files ###############
install(FILES
    ACES-elle-V2-g10.icc
    ACES-elle-V4-g10.icc
    ACES-elle-V2-g22.icc
    ACES-elle-V4-g22.icc
    ACES-elle-V2-labl.icc
    ACES-elle-V4-labl.icc
    ACES-elle-V2-srgbtrc.icc
    ACES-elle-V4-srgbtrc.icc
    ACEScg-elle-V2-g10.icc
    ACEScg-elle-V4-g10.icc
    ACEScg-elle-V2-labl.icc
    ACEScg-elle-V4-labl.icc
    ACEScg-elle-V2-srgbtrc.icc
    ACEScg-elle-V4-srgbtrc.icc
    AllColorsRGB-elle-V2-g10.icc
    AllColorsRGB-elle-V4-g10.icc
    AllColorsRGB-elle-V2-labl.icc
    AllColorsRGB-elle-V4-labl.icc
    AllColorsRGB-elle-V2-srgbtrc.icc
    AllColorsRGB-elle-V4-srgbtrc.icc
    CIERGB-elle-V2-g10.icc
    CIERGB-elle-V2-g22.icc
    CIERGB-elle-V2-srgbtrc.icc
    CIERGB-elle-V4-g10.icc
    CIERGB-elle-V4-g22.icc
    CIERGB-elle-V4-srgbtrc.icc
    CIERGB-elle-V2-labl.icc
    CIERGB-elle-V4-labl.icc
    ClayRGB-elle-V2-g10.icc
    ClayRGB-elle-V2-g22.icc
    ClayRGB-elle-V2-srgbtrc.icc
    ClayRGB-elle-V4-g10.icc
    ClayRGB-elle-V4-g22.icc
    ClayRGB-elle-V4-srgbtrc.icc
    ClayRGB-elle-V2-labl.icc;
    ClayRGB-elle-V4-labl.icc
    CMakeLists.txt
    Gray-D50-elle-V2-g10.icc
    Gray-D50-elle-V2-g18.icc
    Gray-D50-elle-V2-g22.icc
    Gray-D50-elle-V2-srgbtrc.icc
    Gray-D50-elle-V4-g10.icc
    Gray-D50-elle-V4-g18.icc
    Gray-D50-elle-V4-g22.icc
    Gray-D50-elle-V4-srgbtrc.icc
    Gray-D50-elle-V2-labl.icc
    Gray-D50-elle-V4-labl.icc
    Gray-D50-elle-V2-rec709.icc
    Gray-D50-elle-V4-rec709.icc
    IdentityRGB-elle-V2-g10.icc
    IdentityRGB-elle-V2-srgbtrc.icc
    IdentityRGB-elle-V4-g10.icc
    IdentityRGB-elle-V4-srgbtrc.icc
    IdentityRGB-elle-V2-labl.icc
    IdentityRGB-elle-V4-labl.icc
    Lab-D50-Identity-elle-V2.icc
    Lab-D50-Identity-elle-V4.icc
    LargeRGB-elle-V2-g10.icc
    LargeRGB-elle-V2-g18.icc
    LargeRGB-elle-V2-srgbtrc.icc
    LargeRGB-elle-V4-g10.icc
    LargeRGB-elle-V4-g18.icc
    LargeRGB-elle-V4-srgbtrc.icc
    LargeRGB-elle-V2-labl.icc
    LargeRGB-elle-V4-labl.icc
    Rec2020-elle-V2-rec709.icc
    Rec2020-elle-V4-rec709.icc
    Rec2020-elle-V2-g10.icc
    Rec2020-elle-V4-g10.icc
    Rec2020-elle-V2-labl.icc
    Rec2020-elle-V4-labl.icc
    Rec2020-elle-V2-srgbtrc.icc
    Rec2020-elle-V4-srgbtrc.icc
    sRGB-elle-V2-g10.icc
    sRGB-elle-V2-srgbtrc.icc
    sRGB-elle-V4-g10.icc
    sRGB-elle-V4-srgbtrc.icc
    sRGB-elle-V2-labl.icc
    sRGB-elle-V4-labl.icc
    #sRGB-elle-V2-rec709.icc
    #sRGB-elle-V4-rec709.icc
    WideRGB-elle-V2-g10.icc
    WideRGB-elle-V2-g22.icc
    WideRGB-elle-V2-srgbtrc.icc
    WideRGB-elle-V4-g10.icc
    WideRGB-elle-V4-g22.icc
    WideRGB-elle-V4-srgbtrc.icc
    WideRGB-elle-V2-srgbtrc.icc
    WideRGB-elle-V4-srgbtrc.icc
    WideRGB-elle-V2-labl.icc
    WideRGB-elle-V4-labl.icc
    Lab-D50-Identity-elle-V2.icc
    Lab-D50-Identity-elle-V4.icc
    XYZ-D50-Identity-elle-V4.icc
DESTINATION ${KDE_INSTALL_DATAROOTDIR}/color/icc/calligra)

## calligra 25.04.3+dfsg

=== debian/changelog ===
calligra (1:25.04.3+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Jul 2025 15:30:02 +0100

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
                libwpd-dev (>= 0.10),
                libwpg-dev (>= 0.3),
                libwps-dev (>= 0.4),
-               okular-dev (>= 4:25.04.2~),
+               okular-dev (>= 4:25.04.3~),
                pkg-kde-tools (>= 0.15.16),
                pkgconf,
                pstoedit,

## calligra 25.07.80+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 string(TIMESTAMP CALLIGRA_YEAR "%Y")

=== debian/changelog ===
calligra (1:25.07.80+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 09:44:48 +0100

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
                libwpd-dev (>= 0.10),
                libwpg-dev (>= 0.3),
                libwps-dev (>= 0.4),
-               okular-dev (>= 4:25.04.3~),
+               okular-dev (>= 4:25.07.80~),
                pkg-kde-tools (>= 0.15.16),
                pkgconf,
                pstoedit,

=== debian/watch ===
version=4

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg\d*$// \
 https://download.kde.org/unstable/release-service/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz

## calligra 25.07.90+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 string(TIMESTAMP CALLIGRA_YEAR "%Y")

=== devtools/cstester/visualimagecompare/CMakeLists.txt ===
if (Poppler_Qt6_FOUND)
    add_definitions(-DHAS_POPPLER)

set(visualimagecompare_SRCS
    CSTCompareView.h
    CompareView.h
    CSTCompareView.cpp
    CompareView.cpp
    visualimagecompare.cpp)

add_executable(visualimagecompare ${visualimagecompare_SRCS})

target_link_libraries(visualimagecompare Poppler::Qt6 Qt6::Core Qt6::Widgets)

install(TARGETS visualimagecompare ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

endif ()

=== karbon/templates/basic/CMakeLists.txt ===

install( FILES  empty.odg  DESTINATION ${KDE_INSTALL_DATADIR}/karbon/templates/Basic/.source)
install( FILES  .directory empty.desktop  DESTINATION ${KDE_INSTALL_DATADIR}/karbon/templates/Basic)

file(GLOB karbon_template_icons "${CMAKE_CURRENT_SOURCE_DIR}/*-actions-*.png")
ecm_install_icons(ICONS ${karbon_template_icons} DESTINATION ${KDE_INSTALL_DATADIR}/karbon/icons)

=== debian/changelog ===
calligra (1:25.07.90+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Jul 2025 07:04:35 +0100

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
                libwpd-dev (>= 0.10),
                libwpg-dev (>= 0.3),
                libwps-dev (>= 0.4),
-               okular-dev (>= 4:25.07.80~),
+               okular-dev (>= 4:25.07.90~),
                pkg-kde-tools (>= 0.15.16),
                pkgconf,
                pstoedit,
